PaidGoods
API referenceStorefront growth

Disable an unused gift card

POST
/v1/stores/{storeId}/gift-cards/{cardId}/disable

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
cardId*string

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/gift-cards/string/disable"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last4": "string",  "initialMinor": -9007199254740991,  "availableMinor": -9007199254740991,  "currency": "string",  "state": "active",  "expired": true,  "source": "manual",  "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",  "recipientEmail": "string",  "note": "string",  "expiresAt": "string",  "redeemedAt": "string",  "redeemedByCustomerId": "cf5626ec-d004-4789-bf0c-bd50022ef31b",  "createdAt": "string"}